Bug 32733 - Add more page-sections to basket summary page
Summary: Add more page-sections to basket summary page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Martin Renvoize
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 31932
Blocks:
  Show dependency treegraph
 
Reported: 2023-01-26 11:00 UTC by Martin Renvoize
Modified: 2023-12-28 20:43 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03


Attachments
Card locations (185.79 KB, image/png)
2023-01-26 11:17 UTC, Martin Renvoize
Details
Bug 32733: Add page-section cards to basket summary (37.91 KB, patch)
2023-01-26 11:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 32733: Add page-section cards to basket summary (38.18 KB, patch)
2023-01-26 12:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32733: (follow-up) Reorganize classification of information (10.75 KB, patch)
2023-01-26 12:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32733: (follow-up) Reorganize classification of information (11.03 KB, patch)
2023-01-26 13:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 32733: Add page-section cards to basket summary (38.23 KB, patch)
2023-01-27 13:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32733: (follow-up) Reorganize classification of information (10.87 KB, patch)
2023-01-27 13:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2023-01-26 11:00:13 UTC
Currently, the basket summary page only puts the 'Orders' detail inside a page-section (and even if there are no orders associated with the basket yet, the page-section displays as an empty white block.

I think, for consistency with other area's in the staff client, we should also put the other basket details in their own respective page-section 'cards'.
Comment 1 Martin Renvoize 2023-01-26 11:17:41 UTC
Created attachment 145688 [details]
Card locations
Comment 2 Martin Renvoize 2023-01-26 11:40:05 UTC
Created attachment 145689 [details] [review]
Bug 32733: Add page-section cards to basket summary

This patch adds two new page-section divs to the basket summary page.
One for each column of details in the top area of the summary page.
Comment 3 Martin Renvoize 2023-01-26 11:41:34 UTC
Set to NSO to gather comments. I've basically tried to make the display more closely match that of the patron details display page.
Comment 4 Owen Leonard 2023-01-26 12:19:51 UTC
Created attachment 145691 [details] [review]
Bug 32733: Add page-section cards to basket summary

This patch adds two new page-section divs to the basket summary page.
One for each column of details in the top area of the summary page.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Owen Leonard 2023-01-26 12:19:55 UTC
Created attachment 145692 [details] [review]
Bug 32733: (follow-up) Reorganize classification of information

If we're dividing the sections into labeled "Information" and
"Settings," I propose that we try to put under "Information" lines
which are just for display, and under "Settings" lines which allow the
user to change things: Managed by, managing library, basket group, etc.

This patch moves a few lines to accomplish this. The only other change
is to remove a "float:left" inline style from the "Change library" form
to make it display better.
Comment 6 Martin Renvoize 2023-01-26 13:38:20 UTC
Created attachment 145693 [details] [review]
Bug 32733: (follow-up) Reorganize classification of information

If we're dividing the sections into labeled "Information" and
"Settings," I propose that we try to put under "Information" lines
which are just for display, and under "Settings" lines which allow the
user to change things: Managed by, managing library, basket group, etc.

This patch moves a few lines to accomplish this. The only other change
is to remove a "float:left" inline style from the "Change library" form
to make it display better.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Katrin Fischer 2023-01-27 13:10:10 UTC
Created attachment 145738 [details] [review]
Bug 32733: Add page-section cards to basket summary

This patch adds two new page-section divs to the basket summary page.
One for each column of details in the top area of the summary page.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 8 Katrin Fischer 2023-01-27 13:10:14 UTC
Created attachment 145739 [details] [review]
Bug 32733: (follow-up) Reorganize classification of information

If we're dividing the sections into labeled "Information" and
"Settings," I propose that we try to put under "Information" lines
which are just for display, and under "Settings" lines which allow the
user to change things: Managed by, managing library, basket group, etc.

This patch moves a few lines to accomplish this. The only other change
is to remove a "float:left" inline style from the "Change library" form
to make it display better.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 9 Tomás Cohen Arazi 2023-01-27 19:19:51 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 10 Matt Blenkinsop 2023-01-31 14:36:24 UTC
Nice work everyone!

Pushed to stable for 22.11.x
Comment 11 Lucas Gass 2023-02-01 19:00:33 UTC
Missing dependencies for 22.05.x, no backport